org.apache.maven.scm.provider.git.gitexe.command.changelog

## Class GitChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.changelog.AbstractChangeLogCommand
    - - org.apache.maven.scm.provider.git.gitexe.command.changelog.GitChangeLogCommand

- All Implemented Interfaces:
    ChangeLogCommand, Command, GitCommand

      public class GitChangeLogCommand
      extends AbstractChangeLogCommand
      implements GitCommand

  Version:
    $Id: GitChangeLogCommand.java 769975 2009-04-29 22:31:22Z olamy $
  Author:
    Emmanuel Venisse

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitChangeLogCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.codehaus.plexus.util.cli.Commandline` | `createCommandLine(GitScmProviderRepository repository, File workingDirectory, ScmBranch branch, Date startDate, Date endDate, ScmVersion startVersion, ScmVersion endVersion)` this constructs creates the commandline for the git-whatchanged command.
    `protected ChangeLogScmResult` | `executeChangeLogCommand(ScmProviderRepository repo, ScmFileSet fileSet, Date startDate, Date endDate, ScmBranch branch, String datePattern)`
    `protected ChangeLogScmResult` | `executeChangeLogCommand(ScmProviderRepository repo, ScmFileSet fileSet, Date startDate, Date endDate, ScmBranch branch, String datePattern, ScmVersion startVersion, ScmVersion endVersion)`
    `protected ChangeLogScmResult` | `executeChangeLogCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion startVersion, ScmVersion endVersion, String datePattern)`

    - ### Methods inherited from class org.apache.maven.scm.command.changelog.AbstractChangeLogCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### GitChangeLogCommand

          public GitChangeLogCommand()

  - ### Method Detail

    - #### executeChangeLogCommand

          protected ChangeLogScmResult executeChangeLogCommand(ScmProviderRepository repo,
                                                   ScmFileSet fileSet,
                                                   ScmVersion startVersion,
                                                   ScmVersion endVersion,
                                                   String datePattern)
                                                        throws ScmException

      Overrides:
        `executeChangeLogCommand` in class `AbstractChangeLogCommand`
      Throws:
        `ScmException`

    - #### executeChangeLogCommand

          protected ChangeLogScmResult executeChangeLogCommand(ScmProviderRepository repo,
                                                   ScmFileSet fileSet,
                                                   Date startDate,
                                                   Date endDate,
                                                   ScmBranch branch,
                                                   String datePattern)
                                                        throws ScmException

      Specified by:
        `executeChangeLogCommand` in class `AbstractChangeLogCommand`
      Throws:
        `ScmException`

    - #### executeChangeLogCommand

          protected ChangeLogScmResult executeChangeLogCommand(ScmProviderRepository repo,
                                                   ScmFileSet fileSet,
                                                   Date startDate,
                                                   Date endDate,
                                                   ScmBranch branch,
                                                   String datePattern,
                                                   ScmVersion startVersion,
                                                   ScmVersion endVersion)
                                                        throws ScmException

      Throws:
        `ScmException`

    - #### createCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createCommandLine(GitScmProviderRepository repository,
                                                                   File workingDirectory,
                                                                   ScmBranch branch,
                                                                   Date startDate,
                                                                   Date endDate,
                                                                   ScmVersion startVersion,
                                                                   ScmVersion endVersion)

      this constructs creates the commandline for the git-whatchanged command. Since it uses --since and --until for the start and end date, the branch and version parameters can be used simultanously.

Copyright © 2003–2015. All rights reserved.